TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

AUTO ( any nof(string) )

### Syntax

AUTO( <expression>, <var1>, <var2>,... )

### Description

<shortdoc> 'AUTO' associates the expression 'expression' with the variables 'var1', 'var2' etc. Whenever one those variables is evaluated, i.e., when its value is required, <expression> is automatically evaluated. This must assign a new value to the variable, otherwise an error is raised. The new value is then returned.
'AUTO' is a procedure, i.e., does not return a value. </shortdoc>

### Examples

AUTO(Bind("x_a",23),x_a); x_a;
AUTO( ReadLib("x_integer"), x_Int, x_Abs, x_Sign, x_Maximum, x_Minimum );

### See also

ReadLib ( string )

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack